mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.ICloneable System.Runtime.Serialization.ISerializable System.Runtime.InteropServices.ComVisible(true)

The class is a version of the class that is used during method calls to remote application domains. The is a specialized collection object similar to a thread local storage for method calls, and provides data slots that are unique to each logical thread of execution. The slots are not shared across call contexts on other logical threads. Objects can be added to the as it travels down and up the execution code path, and examined by various objects along the path.

When a remote method call is made to an object in another , the class generates a that travels along with the remote call. Only objects that expose the interface and are stored in the are propagated outside the in a . Objects that do not support this interface are not transmitted in instances with remote method calls.

This class makes a link demand. A SecurityException is thrown if the immediate caller does not have infrastructure permission. See [<topic://cpconLinkDemands>] for more information.

Provides a set of properties that are carried with the execution code path during remote method calls.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object

  The method produces a deep copy of the current .

  Creates a new object that is a copy of the current instance.

  A new object that is a copy of this instance.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Empties a data slot with the specified name.

  The name of the data slot to empty.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` To be added

  Retrieves an object associated with the specified name from the current instance.

  The object in the logical call context associated with the specified name.

  The name of the item in the call context.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The current method fills the provided with all the data needed to recreate the .

  The current method is an implementation of .

  Populates a specified with the data needed to serialize the current .

  The to populate with data. The contextual information about the source or destination of the serialization.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool' To be added

  Gets a value indicating whether the current contains information.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Stores the specified object in the current instance, and associates it with the specified name.

  The name with which to associate the new item in the call context. The object to store in the call context.